<?
session_start();
include("../opendb.php");
include("../test.php");
if($save)
{
$code=substr($gname,0,3).substr(time(),7,3).date("s"); 
 $code=str_replace(' ','-',$code);

$sql="insert into groupmaster values('$code','$gname','$tax')";
mysqli_query($db,$sql) or die('Insert Err:'.mysqli_error($db));

print "<script> document.location='grmaster.php'</script>";
return;
}
//$re=mysqli_query($db,"select * from configmaster");
//$row=mysqli_fetch_array($re);
?>
<link rel="stylesheet" href="../style.css" type="text/css" />
<style>
th{background-color:steelblue;color:white}
</style>
<script>
function valid()
{
 
 if(document.f1.tax.value.length<=0)
 {
   alert("Invalid Tax.");
   document.f1.tax.focus();
   return false;
 }

}
</script>

<center>
<table cellspacing=1 cellpadding=1 bgcolor=black>
<tr><td align=center bgcolor='white'>
<form name='f1' action='<?print $PHP_SELF?>' method='post' onSubmit="return valid()">
<table cellspacing=1 cellpadding=3 width='350'>
<th colspan=2><font size=3>GROUP MASTER</th>
<tr><td>Group Name</td><td><input type=text name='gname'  size=20></td>
    </tr>
<tr><td>Tax</td><td><select name='tax'  size=1>
<?
$tax=mysqli_query($db,"select * from taxmaster");
while($taxrow=mysqli_fetch_array($tax))
{
print "<option>$taxrow[tax]</option>";
}
?>
</select>
</td>
    </tr>

<th colspan=2><input type=submit value='Save' name='save'></td></tr>
</table>
</form>
</td></tr>
</table>
<br>
<table cellspacing=1 cellpadding=5 bgcolor='orange'>
<th>No <th>Group Name <th>Tax<th>Edit<th>Del
<?
$i=1;
$res=mysqli_query($db,"select * from groupmaster order by gname");
while($row=mysqli_fetch_array($res))
{
 print "<tr bgcolor='white' onMouseOver=bgColor='b8d7b4'; onMouseOut=bgColor='white'>";
 print "<td>".$i++."</td><td>$row[gname]</td>";
 print "<td align=right>$row[tax]</td>";
 print "<td><input type=button value='Edit' name='ed' onClick=window.open('editgrmaster.php?code=$row[code]',menubar=false,resizable=false)></td>";
  print "<td><input type=button value='Del' name='del' onClick=delfun('$row[code]')></td></tr>";
}
?>
</table>

<script>
 function delfun(x)
 {
  if (confirm('do you want to delete '+x+' ?'))
   document.location='delgrmaster.php?code='+x;
 }
  
</script>
